package com.ai.android.Menus.animation;

import com.ai.android.Menus.HelloWorld;

import android.graphics.Matrix;

public class TestMatrix 
{
	public static void test1(HelloWorld a)
	{
		test2(a);
		test3(a);
		test4(a);
	}
	public static void test2(HelloWorld a)
	{
		Matrix m1 = new Matrix();
		m1.setScale(2, 2);
		m1.preScale(2, 2);
		m1.postScale(2, 2);
		
		Matrix m2 = new Matrix();
		m2.postScale(2, 2);
		m2.postScale(2, 2);
		m2.postScale(2, 2);

		assertL("test2",a,m1,m2,"m1 and m2 will be same");
	}
	
	public static void test3(HelloWorld a)
	{
		Matrix m1 = new Matrix();
		m1.setScale(2, 2);
		m1.preTranslate(-2, -2);
		m1.postTranslate(2, 2);
		
		Matrix m2 = new Matrix();
		m2.postTranslate(-2, -2);
		m2.postScale(2, 2);
		m2.postTranslate(2, 2);
		
		assertL("test3",a,m1,m2,"m1 and m2 will be the same");
	}
	
	public static void test4(HelloWorld a)
	{
		Matrix m1 = new Matrix();
		m1.setScale(2, 2);
		m1.preTranslate(-2, -2);
		m1.postTranslate(2, 2);
		
		Matrix m2 = new Matrix();
		m2.preTranslate(-2, -2);
		m2.postTranslate(2, 2);
		m2.setScale(2, 2);

		assertL("test4",a,m1,m2,"m1 and m2 will not be the same");

		Matrix m3 = new Matrix();
		m3.setScale(2, 2);
		assertL("test4",a,m2,m3,"m2 and m3 will be the same");
	}
	
	private static void assertL(String testName
			, HelloWorld a
			, Matrix m1
			, Matrix m2
			, String assertText)
	{
		if (m1.equals(m2))
		{
			a.appendText("\n" + testName + ": m1 is same as m2");
		}
		else
		{
			a.appendText("\n" + testName + ": m1 is NOT same as m2");
		}
	}
}
